## org.apache.maven.plugins.site
Class SiteDeployMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.maven.plugins.site.SiteDeployMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

    public class SiteDeployMojo

extends org.apache.maven.plugin.AbstractMojo
implements org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

Deploys the generated site using `scp` or `file` protocol to the site URL specified in the `<distributionManagement>` section of the POM.

For `scp` protocol, the website files are packaged into zip archive, then the archive is transfered to the remote host, next it is un-archived. This method of deployment should normally be much faster than making a file by file copy. For `file` protocol, the files are copied directly to the destination directory.

Version:
  $Id: SiteDeployMojo.java 891014 2009-12-15 21:47:19Z ltheussl $
Author:
  Michal Maczka

Field Summary

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`SiteDeployMojo()`

Method Summary
`void` `contextualize(org.codehaus.plexus.context.Context context)`
`void` `execute()`
`static org.apache.maven.wagon.proxy.ProxyInfo` `getProxyInfo(org.apache.maven.wagon.repository.Repository repository, org.apache.maven.artifact.manager.WagonManager wagonManager)` Get the `ProxyInfo` of the proxy associated with the `host` and the `protocol` of the given `repository`.

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteDeployMojo

    public SiteDeployMojo()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

  Specified by:
    `execute` in interface `org.apache.maven.plugin.Mojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### getProxyInfo

    public static org.apache.maven.wagon.proxy.ProxyInfo getProxyInfo(org.apache.maven.wagon.repository.Repository repository,
                                                                      org.apache.maven.artifact.manager.WagonManager wagonManager)

  Get the `ProxyInfo` of the proxy associated with the `host` and the `protocol` of the given `repository`.

  Extract from J2SE Doc : Networking Properties - nonProxyHosts : "The value can be a list of hosts, each separated by a |, and in addition a wildcard character (*) can be used for matching"

  Defensively support for comma (",") and semi colon (";") in addition to pipe ("|") as separator.

  Parameters:
    `repository` - the Repository to extract the ProxyInfo from.
    `wagonManager` - the WagonManager used to connect to the Repository.
  Returns:
    a ProxyInfo object instantiated or `null` if no matching proxy is found

### contextualize

    public void contextualize(org.codehaus.plexus.context.Context context)
                       throws org.codehaus.plexus.context.ContextException

  Specified by:
    `contextualize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable`
  Throws:
    `org.codehaus.plexus.context.ContextException`

Copyright © 2011. All Rights Reserved.